Closed Bug 1738736 Opened 10 months ago Closed 9 months ago

Update dav1d to new version 3fd2ad938ace8d2d0ab86e4108d46a7722691073 from 2021-11-01 15:14:21

Categories

(Core :: Audio/Video: Playback, enhancement)

enhancement

Tracking

()

RESOLVED WONTFIX

People

(Reporter: update-bot, Assigned: jbauman)

References

Details

(Whiteboard: [3pl-filed][task_id: V2Y5vvAyR1-Sv8W1fh-ztg])

Attachments

(1 file)

This update covers 28 commits:


3fd2ad938ace8d2d0ab86e4108d46a7722691073 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/3fd2ad938ace8d2d0ab86e4108d46a7722691073
Authored: 2021-11-01 15:11:13 +0100
Committed: 2021-11-01 15:14:21 +0100

Fix a leak when threading is active

Credit to Oss-Fuzz.

Files Added:

  • src/lib.c
  • src/lib.c

7048ed621867f6d06d4363a8208a33cfbe3f367a by Niklas Haas

https://code.videolan.org/videolan/dav1d-/commit/7048ed621867f6d06d4363a8208a33cfbe3f367a
Authored: 2021-10-31 13:17:39 +0100
Committed: 2021-10-31 13:18:22 +0100

dav1dplay: Suppress compiler warning

The signature of pl_allocate/release_dav1dpic takes a void *cookie,
which the compiler warns about if we don't implicitly cast.

Files Added:

  • examples/dp_renderer_placebo.c
  • examples/dp_renderer_placebo.c

f7e0d4c032dad31a46129c9eaf30ad5c2f704d2b by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/f7e0d4c032dad31a46129c9eaf30ad5c2f704d2b
Authored: 2021-10-11 14:57:11 +0200
Committed: 2021-10-29 22:18:20 +0200

Remove lpf_stride parameter from LR filters

Files Added:

  • src/arm/64/looprestoration.S
  • src/arm/64/looprestoration16.S
  • src/arm/looprestoration_init_tmpl.c
  • src/looprestoration.h
  • src/looprestoration_tmpl.c
  • src/lr_apply_tmpl.c
  • src/ppc/looprestoration_init_tmpl.c
  • src/x86/looprestoration16_avx2.asm
  • src/x86/looprestoration16_sse.asm
  • src/x86/looprestoration_avx2.asm
  • src/x86/looprestoration_avx512.asm
  • src/x86/looprestoration_sse.asm
  • tests/checkasm/looprestoration.c
  • src/arm/64/looprestoration.S
  • src/arm/64/looprestoration16.S
  • src/arm/looprestoration_init_tmpl.c
  • src/looprestoration.h
  • src/looprestoration_tmpl.c
  • src/lr_apply_tmpl.c
  • src/ppc/looprestoration_init_tmpl.c
  • src/x86/looprestoration16_avx2.asm
  • src/x86/looprestoration16_sse.asm
  • src/x86/looprestoration_avx2.asm
  • src/x86/looprestoration_avx512.asm
  • src/x86/looprestoration_sse.asm
  • tests/checkasm/looprestoration.c

609fbaba84b8e15a25de9efbc8b14988be6df94d by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/609fbaba84b8e15a25de9efbc8b14988be6df94d
Authored: 2021-09-23 10:09:26 +0200
Committed: 2021-10-29 22:18:20 +0200

Allow CDEF and LR to run sbrows in parallel

Files Added:

  • src/arm/32/cdef.S
  • src/arm/32/cdef16.S
  • src/arm/64/cdef.S
  • src/arm/64/cdef16.S
  • src/arm/cdef_init_tmpl.c
  • src/cdef.h
  • src/cdef_apply.h
  • src/cdef_apply_tmpl.c
  • src/cdef_tmpl.c
  • src/decode.c
  • src/internal.h
  • src/lf_apply.h
  • src/lf_apply_tmpl.c
  • src/lib.c
  • src/lr_apply.h
  • src/lr_apply_tmpl.c
  • src/ppc/cdef_init_tmpl.c
  • src/recon.h
  • src/recon_tmpl.c
  • src/thread_task.c
  • src/x86/cdef16_avx2.asm
  • src/x86/cdef16_sse.asm
  • src/x86/cdef_avx2.asm
  • src/x86/cdef_avx512.asm
  • src/x86/cdef_sse.asm
  • tests/checkasm/cdef.c
  • src/arm/32/cdef.S
  • src/arm/32/cdef16.S
  • src/arm/64/cdef.S
  • src/arm/64/cdef16.S
  • src/arm/cdef_init_tmpl.c
  • src/cdef.h
  • src/cdef_apply.h
  • src/cdef_apply_tmpl.c
  • src/cdef_tmpl.c
  • src/decode.c
  • src/internal.h
  • src/lf_apply.h
  • src/lf_apply_tmpl.c
  • src/lib.c
  • src/lr_apply.h
  • src/lr_apply_tmpl.c
  • src/ppc/cdef_init_tmpl.c
  • src/recon.h
  • src/recon_tmpl.c
  • src/thread_task.c
  • src/x86/cdef16_avx2.asm
  • src/x86/cdef16_sse.asm
  • src/x86/cdef_avx2.asm
  • src/x86/cdef_avx512.asm
  • src/x86/cdef_sse.asm
  • tests/checkasm/cdef.c

8e6d5214a356dfc91c09468ac7473d8a66bf26cd by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/8e6d5214a356dfc91c09468ac7473d8a66bf26cd
Authored: 2021-10-27 16:14:40 +0200
Committed: 2021-10-29 22:18:05 +0200

CI: Add tests for negative stride

Files Added:

  • .gitlab-ci.yml
  • tools/dav1d.c
  • tools/dav1d_cli_parse.c
  • tools/dav1d_cli_parse.h
  • .gitlab-ci.yml
  • tools/dav1d.c
  • tools/dav1d_cli_parse.c
  • tools/dav1d_cli_parse.h

8c94f95c8750c0d805e1a666d302756006554597 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/8c94f95c8750c0d805e1a666d302756006554597
Authored: 2021-10-28 14:02:32 +0300
Committed: 2021-10-28 14:11:46 +0300

meson: Check for the pthread_getaffinity_np function before deciding to use it

Use the check result instead of hardcoding what OSes have got the
function.

This also requires checking for the pthread_np.h header and including
it while testing for functions in meson, but allows getting rid of the
hardcoded OS conditions in the source.

This fixes building for Android, if _GNU_SOURCE happens to be defined.
(It gets defined if building with a slightly nonstandard cross file
that defines "system = 'linux'", but it could also have been set by the
caller.)

Files Added:

  • meson.build
  • src/cpu.c
  • meson.build
  • src/cpu.c

a55ff11da2430ae7057862f6565ce3b5a222afdc by Salome Thirot

https://code.videolan.org/videolan/dav1d-/commit/a55ff11da2430ae7057862f6565ce3b5a222afdc
Authored: 2021-08-26 15:09:37 +0100
Committed: 2021-10-27 12:09:45 +0100

arm64: Add Armv8.5-A BTI support to assembly files

Add Branch Target Identifiers (BTIs) to all functions defined in
AArch64 assembly files.

BTI support is turned on or off at compile time based on the presence
of the __ARM_FEATURE_BTI_DEFAULT feature macro.

A binary compiled with BTI support can be executed on an Armv8-A
processor without BTI support because the instructions are defined in
NOP space.

Signed-off-by: Jonathan Wright <jonathan.wright@arm.com>
Signed-off-by: Matthew Dalzell <matthew.dalzell@arm.com>
Signed-off-by: Salome Thirot <salome.thirot@arm.com>

Files Added:

  • src/arm/64/film_grain.S
  • src/arm/64/film_grain16.S
  • src/arm/64/ipred.S
  • src/arm/64/ipred16.S
  • src/arm/64/itx.S
  • src/arm/64/itx16.S
  • src/arm/64/mc.S
  • src/arm/64/mc16.S
  • src/arm/64/refmvs.S
  • src/arm/asm.S
  • src/arm/64/film_grain.S
  • src/arm/64/film_grain16.S
  • src/arm/64/ipred.S
  • src/arm/64/ipred16.S
  • src/arm/64/itx.S
  • src/arm/64/itx16.S
  • src/arm/64/mc.S
  • src/arm/64/mc16.S
  • src/arm/64/refmvs.S
  • src/arm/asm.S

da0da5488b5a5d43c4fef6d4308a0cd930f7961a by Salome Thirot

https://code.videolan.org/videolan/dav1d-/commit/da0da5488b5a5d43c4fef6d4308a0cd930f7961a
Authored: 2021-10-15 17:05:03 +0100
Committed: 2021-10-27 12:09:37 +0100

arm64: Change br instructions to ret for function returns

Using ret x<n> instead of br x<n> removes the need for a BTI landing pad
at the target address in x<n>.

Using 'ret' instead of 'br' does not have any performance implications.

Signed-off-by: Jonathan Wright <jonathan.wright@arm.com>
Signed-off-by: Matthew Dalzell <matthew.dalzell@arm.com>
Signed-off-by: Salome Thirot <salome.thirot@arm.com>

Files Added:

  • src/arm/64/itx.S
  • src/arm/64/itx16.S
  • src/arm/64/loopfilter.S
  • src/arm/64/loopfilter16.S
  • src/arm/64/mc.S
  • src/arm/64/mc16.S
  • src/arm/64/itx.S
  • src/arm/64/itx16.S
  • src/arm/64/loopfilter.S
  • src/arm/64/loopfilter16.S
  • src/arm/64/mc.S
  • src/arm/64/mc16.S

eb0308bcdf1bfd651f2359ed49a2f6dc258aed86 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/eb0308bcdf1bfd651f2359ed49a2f6dc258aed86
Authored: 2021-10-09 20:13:10 +0200
Committed: 2021-10-18 20:45:36 +0200

x86/itx: Add 12-bit 4x4 transforms in AVX2

Refactors itx into separate 10, 12 bit functions to prevent conditional
jumps.

inv_txfm_add_4x4_adst_adst_0_12bpc_c: 370.9
inv_txfm_add_4x4_adst_adst_0_12bpc_avx2: 68.6
inv_txfm_add_4x4_adst_adst_1_12bpc_c: 371.0
inv_txfm_add_4x4_adst_adst_1_12bpc_avx2: 68.7
inv_txfm_add_4x4_adst_dct_0_12bpc_c: 413.1
inv_txfm_add_4x4_adst_dct_0_12bpc_avx2: 69.2
inv_txfm_add_4x4_adst_dct_1_12bpc_c: 412.7
inv_txfm_add_4x4_adst_dct_1_12bpc_avx2: 68.8
inv_txfm_add_4x4_adst_flipadst_0_12bpc_c: 378.5
inv_txfm_add_4x4_adst_flipadst_0_12bpc_avx2: 74.9
inv_txfm_add_4x4_adst_flipadst_1_12bpc_c: 378.1
inv_txfm_add_4x4_adst_flipadst_1_12bpc_avx2: 74.6
inv_txfm_add_4x4_adst_identity_0_12bpc_c: 347.8
inv_txfm_add_4x4_adst_identity_0_12bpc_avx2: 48.8
inv_txfm_add_4x4_adst_identity_1_12bpc_c: 342.7
inv_txfm_add_4x4_adst_identity_1_12bpc_avx2: 49.0
inv_txfm_add_4x4_dct_adst_0_12bpc_c: 399.2
inv_txfm_add_4x4_dct_adst_0_12bpc_avx2: 73.1
inv_txfm_add_4x4_dct_adst_1_12bpc_c: 398.7
inv_txfm_add_4x4_dct_adst_1_12bpc_avx2: 72.2
inv_txfm_add_4x4_dct_dct_0_12bpc_c: 69.6
inv_txfm_add_4x4_dct_dct_0_12bpc_avx2: 32.9
inv_txfm_add_4x4_dct_dct_1_12bpc_c: 420.5
inv_txfm_add_4x4_dct_dct_1_12bpc_avx2: 72.2
inv_txfm_add_4x4_dct_flipadst_0_12bpc_c: 405.5
inv_txfm_add_4x4_dct_flipadst_0_12bpc_avx2: 75.9
inv_txfm_add_4x4_dct_flipadst_1_12bpc_c: 404.2
inv_txfm_add_4x4_dct_flipadst_1_12bpc_avx2: 75.6
inv_txfm_add_4x4_dct_identity_0_12bpc_c: 374.1
inv_txfm_add_4x4_dct_identity_0_12bpc_avx2: 51.6
inv_txfm_add_4x4_dct_identity_1_12bpc_c: 368.0
inv_txfm_add_4x4_dct_identity_1_12bpc_avx2: 51.8
inv_txfm_add_4x4_flipadst_adst_0_12bpc_c: 368.0
inv_txfm_add_4x4_flipadst_adst_0_12bpc_avx2: 69.2
inv_txfm_add_4x4_flipadst_adst_1_12bpc_c: 370.7
inv_txfm_add_4x4_flipadst_adst_1_12bpc_avx2: 70.4
inv_txfm_add_4x4_flipadst_dct_0_12bpc_c: 393.7
inv_txfm_add_4x4_flipadst_dct_0_12bpc_avx2: 70.1
inv_txfm_add_4x4_flipadst_dct_1_12bpc_c: 392.9
inv_txfm_add_4x4_flipadst_dct_1_12bpc_avx2: 69.6
inv_txfm_add_4x4_flipadst_flipadst_0_12bpc_c: 382.2
inv_txfm_add_4x4_flipadst_flipadst_0_12bpc_avx2: 74.6
inv_txfm_add_4x4_flipadst_flipadst_1_12bpc_c: 381.3
inv_txfm_add_4x4_flipadst_flipadst_1_12bpc_avx2: 74.9
inv_txfm_add_4x4_flipadst_identity_0_12bpc_c: 346.7
inv_txfm_add_4x4_flipadst_identity_0_12bpc_avx2: 48.2
inv_txfm_add_4x4_flipadst_identity_1_12bpc_c: 347.9
inv_txfm_add_4x4_flipadst_identity_1_12bpc_avx2: 48.7
inv_txfm_add_4x4_identity_adst_0_12bpc_c: 344.7
inv_txfm_add_4x4_identity_adst_0_12bpc_avx2: 59.8
inv_txfm_add_4x4_identity_adst_1_12bpc_c: 340.5
inv_txfm_add_4x4_identity_adst_1_12bpc_avx2: 59.2
inv_txfm_add_4x4_identity_dct_0_12bpc_c: 369.8
inv_txfm_add_4x4_identity_dct_0_12bpc_avx2: 59.3
inv_txfm_add_4x4_identity_dct_1_12bpc_c: 369.5
inv_txfm_add_4x4_identity_dct_1_12bpc_avx2: 59.2
inv_txfm_add_4x4_identity_flipadst_0_12bpc_c: 353.4
inv_txfm_add_4x4_identity_flipadst_0_12bpc_avx2: 65.6
inv_txfm_add_4x4_identity_flipadst_1_12bpc_c: 350.9
inv_txfm_add_4x4_identity_flipadst_1_12bpc_avx2: 65.9
inv_txfm_add_4x4_identity_identity_0_12bpc_c: 326.1
inv_txfm_add_4x4_identity_identity_0_12bpc_avx2: 39.5
inv_txfm_add_4x4_identity_identity_1_12bpc_c: 321.6
inv_txfm_add_4x4_identity_identity_1_12bpc_avx2: 39.5

Files Added:

  • src/x86/itx16_avx2.asm
  • src/x86/itx_init_tmpl.c
  • src/x86/itx16_avx2.asm
  • src/x86/itx_init_tmpl.c

4cdfe6919f378287e9c75eea3f1fe4d10c676271 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/4cdfe6919f378287e9c75eea3f1fe4d10c676271
Authored: 2021-10-12 16:28:52 +0200
Committed: 2021-10-18 20:20:02 +0200

x86/itx: Rename rax to r6

Use numerical GPR references everywhere for consistency.

Files Added:

  • src/x86/itx16_avx2.asm
  • src/x86/itx_avx2.asm
  • src/x86/itx16_avx2.asm
  • src/x86/itx_avx2.asm

1ea40afdbb3fe056104c2e3b29301ab2dfc517ae by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/1ea40afdbb3fe056104c2e3b29301ab2dfc517ae
Authored: 2021-10-09 18:27:53 +0200
Committed: 2021-10-18 20:20:02 +0200

x86/itx: Name constants more explicit

Give some constants a more explicit name to avoid confusion when 12bpc
support is added.

Files Added:

  • src/x86/itx16_avx2.asm
  • src/x86/itx16_sse.asm
  • src/x86/itx16_avx2.asm
  • src/x86/itx16_sse.asm

8baea7b1105d2f99c70fd483348613ba025a1886 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/8baea7b1105d2f99c70fd483348613ba025a1886
Authored: 2021-10-04 23:21:39 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add splat_mv AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/refmvs.asm
  • src/x86/refmvs_init.c
  • src/x86/refmvs.asm
  • src/x86/refmvs_init.c

82d6d950a248e1202a162f8a91286c9de7b2c3d0 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/82d6d950a248e1202a162f8a91286c9de7b2c3d0
Authored: 2021-10-04 23:21:38 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add deblock loop filters AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/loopfilter_avx512.asm
  • src/x86/loopfilter_avx512.asm

Files Added:

  • src/meson.build
  • src/x86/loopfilter_init_tmpl.c
  • src/meson.build
  • src/x86/loopfilter_init_tmpl.c

0568212665f83fda6fb3626388c2220a4357e038 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/0568212665f83fda6fb3626388c2220a4357e038
Authored: 2021-10-04 23:21:37 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add sgr AVX-512 (Ice Lake) asm

Files Added:

  • src/tables.c
  • src/x86/looprestoration_avx512.asm
  • src/x86/looprestoration_init_tmpl.c
  • tests/checkasm/looprestoration.c
  • src/tables.c
  • src/x86/looprestoration_avx512.asm
  • src/x86/looprestoration_init_tmpl.c
  • tests/checkasm/looprestoration.c

bf0f46900091b289b8079ab6aa2e28d0469f4aa3 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/bf0f46900091b289b8079ab6aa2e28d0469f4aa3
Authored: 2021-10-04 23:21:35 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add wiener_filter AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/looprestoration_avx512.asm
  • src/x86/looprestoration_avx512.asm

Files Added:

  • src/meson.build
  • src/x86/looprestoration_init_tmpl.c
  • tests/checkasm/looprestoration.c
  • src/meson.build
  • src/x86/looprestoration_init_tmpl.c
  • tests/checkasm/looprestoration.c

ef216e172c8868a2f51d1ff4d9468c3d10ab9685 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/ef216e172c8868a2f51d1ff4d9468c3d10ab9685
Authored: 2021-10-04 23:21:34 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add ipred_filter AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/ipred_avx512.asm
  • src/x86/ipred_init_tmpl.c
  • src/x86/ipred_avx512.asm
  • src/x86/ipred_init_tmpl.c

1a67638220b16a77da19a57d1452e0d1664a6995 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/1a67638220b16a77da19a57d1452e0d1664a6995
Authored: 2021-10-04 23:21:33 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add ipred dc/h/v/paeth/smooth/pal_pred AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/ipred_avx512.asm
  • src/x86/ipred_avx512.asm

Files Added:

  • src/decode.c
  • src/meson.build
  • src/x86/ipred_init_tmpl.c
  • src/decode.c
  • src/meson.build
  • src/x86/ipred_init_tmpl.c

5740c1d6c93e6508356f3f5e06bff4445695c10e by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/5740c1d6c93e6508356f3f5e06bff4445695c10e
Authored: 2021-10-04 23:21:32 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add inverse transforms AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/itx_avx512.asm
  • src/x86/itx_avx512.asm

Files Added:

  • src/internal.h
  • src/meson.build
  • src/x86/itx_avx2.asm
  • src/x86/itx_init_tmpl.c
  • src/internal.h
  • src/meson.build
  • src/x86/itx_avx2.asm
  • src/x86/itx_init_tmpl.c

bddef4e0e0ce6319aa3e7f820b8141b768e93d46 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/bddef4e0e0ce6319aa3e7f820b8141b768e93d46
Authored: 2021-10-04 23:21:31 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Maintain frame thread coefficient buffer alignment

Realign the buffer if neccessary to maintain 64-byte alignment.

Files Added:

  • src/decode.c
  • src/decode.c

c19e0a98b75fcdc2193db28d77e0be8d7ff2b6b2 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/c19e0a98b75fcdc2193db28d77e0be8d7ff2b6b2
Authored: 2021-10-04 23:21:30 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add blend AVX-512 (Ice Lake) asm

Also make some minor optimizations to the AVX2 asm.

Files Added:

  • src/internal.h
  • src/x86/mc_avx2.asm
  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c
  • src/internal.h
  • src/x86/mc_avx2.asm
  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c

822d00ae919657d1937eed99267767a9563f9c8c by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/822d00ae919657d1937eed99267767a9563f9c8c
Authored: 2021-10-04 23:21:29 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add warp_affine_8x8 AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c
  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c

f7624f9968d85cdc3a1d441f00e3e167cc3c93d4 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/f7624f9968d85cdc3a1d441f00e3e167cc3c93d4
Authored: 2021-10-04 23:21:28 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add mc 8-tap AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c
  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c

8fc719c69b44b648da1a9f18905f4f8a7562330e by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/8fc719c69b44b648da1a9f18905f4f8a7562330e
Authored: 2021-10-04 23:21:27 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Add mc put_bilin AVX-512 (Ice Lake) asm

Files Added:

  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c
  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c

88e3cb7ef1b4563389f6dffd85d54bdf21eb9388 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/88e3cb7ef1b4563389f6dffd85d54bdf21eb9388
Authored: 2021-10-04 23:21:25 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Enable AVX-512 by default

Files Added:

  • src/cpu.c
  • src/cpu.c

75318ec7ca22c264e6dcf477bb2a5b3594009300 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/75318ec7ca22c264e6dcf477bb2a5b3594009300
Authored: 2021-10-04 23:21:23 +0200
Committed: 2021-10-18 14:49:05 +0000

x86: Remove the option to disable AVX-512

Files Added:

  • meson.build
  • meson_options.txt
  • src/x86/cdef_avx512.asm
  • src/x86/cdef_init_tmpl.c
  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c
  • meson.build
  • meson_options.txt
  • src/x86/cdef_avx512.asm
  • src/x86/cdef_init_tmpl.c
  • src/x86/mc_avx512.asm
  • src/x86/mc_init_tmpl.c

9b5149010527eb733b2dcfb568f80632b44cd287 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/9b5149010527eb733b2dcfb568f80632b44cd287
Authored: 2021-09-21 18:31:12 +0200
Committed: 2021-10-18 14:38:38 +0000

Add support for auto thread selection on BSD

Files Added:

  • src/cpu.c
  • src/cpu.c

cff5ba694c572372e667f968fd806bb9363cc2df by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/cff5ba694c572372e667f968fd806bb9363cc2df
Authored: 2021-10-18 16:15:52 +0200
Committed: 2021-10-18 16:15:52 +0200

CI: Update CI images

Files Added:

  • .gitlab-ci.yml
  • .gitlab-ci.yml

316342457f6140b2310bbefc2967f48eb313e3c3 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/316342457f6140b2310bbefc2967f48eb313e3c3
Authored: 2021-10-06 19:09:40 +0200
Committed: 2021-10-06 19:11:43 +0200

dav1dplay: Avoid using external libplacebo data symbols

Fixes segfaults on Windows.

Files Added:

  • examples/dp_renderer_placebo.c
  • examples/dp_renderer_placebo.c

All the jobs in the try run succeeded. Like literally all of them, there weren't
even any intermittents. That is pretty surprising to me, so maybe you should double
check to make sure I didn't misinterpret things and that the correct tests ran...

Anyway, I've done all I can, so I'm passing to you to review and land the patch.

Assignee: nobody → jbauman
Pushed by jbauman@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5ae245cf817b
Update dav1d to 3fd2ad938ace8d2d0ab86e4108d46a7722691073 r=jbauman

This looks like a bug in updatebot somehow, but the revision is fine as far as I can tell

Flags: needinfo?(jbauman) → needinfo?(tom)
Attachment #9248742 - Attachment description: Bug 1738736 - Update dav1d to 3fd2ad938ace8d2d0ab86e4108d46a7722691073 → Bug 1738736 - Update dav1d to new version 3fd2ad938ace8d2d0ab86e4108d46a7722691073 from 2021-11-01 15:14:21 r=jbauman
Pushed by jbauman@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/203314c3b2fa
Update dav1d to new version 3fd2ad938ace8d2d0ab86e4108d46a7722691073 from 2021-11-01 15:14:21 r=jbauman

Looks like the updatebot commit message somehow got out of sync with what the update-verify job expected:

[task 2021-11-06T00:40:56.202Z] Could not parse the bug description for the revision: Bug 1738736 - Update dav1d to 3fd2ad938ace8d2d0ab86e4108d46a7722691073

From the verify-updatebot code:

RE_COMMITMSG = re.compile("Update (.+) to new version (.+) from")

Updating the commit message to this form manually seems to have gotten the verify-updatebot job passing, so relanding now.

Leaving the NI for Tom, since it's not obvious to me how this happened in the first place

Status: NEW → RESOLVED
Closed: 9 months ago
Resolution: --- → FIXED
Target Milestone: --- → 96 Branch

Backed out changeset 203314c3b2fa (Bug 1738736) for causing AV1 video crashes (Bug 1739910).
Backout link

Status: RESOLVED → REOPENED
Flags: needinfo?(jbauman)
Resolution: FIXED → ---
Target Milestone: 96 Branch → ---

It looks like bug 1739910 has been fixed, but there's nothing urgent to update here, so I'm going to close this and let the updatebot-driven process pick up with the next release.

Status: REOPENED → RESOLVED
Closed: 9 months ago9 months ago
Flags: needinfo?(jbauman)
Resolution: --- → WONTFIX

Fixing updatebot-verify in Bug 1738754

Flags: needinfo?(tom)
You need to log in before you can comment on or make changes to this bug.